Sailfish web browser
#1
I don't know is that only problem on my system, but I cannot run any webpage on sailfish web browser.
#2
The web browser doesn't seem to work, but the device is connected. I'm not sure why.

If you select the 'components' icon and then webview, you can actually surf the net there. Weird.

The store connects too. I downloaded gPodder. It downloads podcasts, but the sound is not working. I need to see if there are any commands I can use to set up audio. There probably are.

I missed Sailfish a lot. I used to run it on my Nexus 4. I guess I'll have to try Nemo too.
#3
(02-17-2020, 01:04 PM)linux6730 Wrote: I don't know is that only problem on my system, but I cannot run any webpage on sailfish web browser.

I figured out a workaround. Set up your email on your PinePhone.

Go to another device and email yourself the the latest RPM for Storeman (the open repos store for Sailfish).

You can get the RPM here: https://openrepos.net/content/osetr/storeman

You want the latest armv7hl version.

Go into settings on the PinePhone and permit unauthorized software.

Go to your email on the PinePhone and download the attachment. Tap on the attachment after downloading to install (from inside the email client).

(Upon reflection, you could probably just mount the SD card after creating it and add the RPM file to the Downloads folder before putting the card in the phone.)


Install the "Webcat" browser from Storeman. It works. I don't know how well. It was last updated in 2019.
#4
(02-23-2020, 04:57 PM)visiblink Wrote: Install the "Webcat" browser from Storeman. It works. I don't know how well. It was last updated in 2019.

Webcat and most other 3rd party browser (like Web Pirate) on openrepos work by leveraging the Qt-Webkit component.
On Sailfish OS (and, I presume, a few others like Nemo and LuneOS which also use Mer project as a core), this is a bit old: it's still Qt 5.6 inside.

Upgrade would be comming eventually in the future but Jolla has documented that they need to also address other dependencies (like GCC and GLibc) inorder to use newer library. They can't just compile this week's latest upstream code with a several years old compiler and library.

Speaking of which, the default browser uses Mozilla's Gecko engine and is having the same troubles with regards of update according to Jolla official communication.


Possibly Related Threads…
Thread Author Replies Views Last Post
  Pinephone keyboard with Sailfish fn-keys idc 1 1,295 01-28-2023, 11:48 AM
Last Post: idc
  PinePhone versus Sailfish (Sony/Jolla) richieeee 10 9,579 07-10-2021, 04:18 AM
Last Post: acrux
  Sailfish install problem. pjsf 15 19,142 07-10-2020, 09:15 AM
Last Post: afigegoznaet
  Sailfish still supported? Mangled 4 6,012 02-08-2020, 08:22 PM
Last Post: Mangled

Forum Jump:


Users browsing this thread: 1 Guest(s)